#include <Stepper.h>

const int stepsPerRevolution = 10;  // change this to fit the number of steps per revolution
// for your motor

// initialize the stepper library on pins 8 through 11:
Stepper myStepper(stepsPerRevolution, 12, 13);

void setup() {
  // set the speed at 60 rpm:
  myStepper.setSpeed(1);
  // initialize the serial port:
  Serial.begin(9600);

  pinMode(3, OUTPUT);
  pinMode(11, OUTPUT);
}

void motorEnable(boolean enable) {
  digitalWrite(3, enable);
  digitalWrite(11, enable);
}

void loop() {
  // step one revolution  in one direction:
  Serial.println("clockwise");
  motorEnable(true);
  myStepper.step(100);
  motorEnable(false);
  delay(500);

  // step one revolution in the other direction:
  Serial.println("counterclockwise");
  motorEnable(true);
  myStepper.step(-100);
  motorEnable(false);
  delay(500);
}

